LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XCellRangeFormula Interface Referencepublished

allows to get and set cell contents (values, text or formulas) for a cell range. More...

`import"XCellRangeFormula.idl";`

Inheritance diagram for XCellRangeFormula:

## Public Member Functions
sequence< sequence< string > > | getFormulaArray ()
| gets an array from the contents of the cell range. More...
void | setFormulaArray ([in] sequence< sequence< string > > aArray)
| fills the cell range with values from an array. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to get and set cell contents (values, text or formulas) for a cell range.

The outer sequence represents the rows and the inner sequence the columns of the array.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getFormulaArray()

sequence< sequence< string > > getFormulaArray | ( |  | ) |

gets an array from the contents of the cell range.

Each element of the result contains the same string that would be returned by com::sun::star::table::XCell::getFormula() for the corresponding cell.

## ◆ setFormulaArray()

void setFormulaArray | ( | [in] sequence< sequence< string > > | aArray | ) |

fills the cell range with values from an array.

The size of the array must be the same as the size of the cell range. Each element of the array is interpreted the same way as the argument to a com::sun::star::table::XCell::setFormula() call for the corresponding cell.

Exceptions

  com::sun::star::uno::RuntimeException | If the size of the array is different from the current size.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XCellRangeFormula.idl